#include "defs.h"

static	int	elapsed_time = 0;
static	char	elapsed[] = "[%02d:%02d:%02d]  ";
static	int	x = 0;
static	int	y = 0;

/*
 *  Update the elapsed_time counter and set the global flag to indicate time
 *  should be updated
 *
 *  <LH:881125:v2.0>
 */

void
clock_tick()
{
	signal (SIGALRM, clock_tick);
	elapsed_time += TICK_INTERVAL;
	time_changed = TRUE;
	alarm (TICK_INTERVAL);
}
			

/*
 *  Update current elapsed time on the status line.
 *  (will show up on next doupdate())
 *
 *  <LH:881125:v2.0>
 */

void
update_time()
{
	register tm = elapsed_time;
	register WINDOW *win = dividewin;

	wmove (win, y, x);
	wstandout (win);
	wprintw (win, elapsed, tm/3600, tm/60, tm%60);
	wstandend (win);
        wnoutrefresh (win);

	time_changed = FALSE;
}

void update_time_line ()
{
	register WINDOW *win = dividewin;
	char time_temp [sizeof(elapsed)];

	sprintf (time_temp, elapsed, 0, 0, 0);
	sprintf (tmp, "  %s is talking to %s (%s) ", myname, hisname,
							fullname(hisname));
				
        wmove (win, 0, (COLS - strlen(tmp) - strlen(time_temp)) / 2);

	wstandout (win);
	waddstr (win, tmp);
	getyx (win, y, x);	/* remember where to put time next round */
	waddstr (win, time_temp);
	wstandend (win);
	wnoutrefresh (win);
}
